<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.itbaizhan.trave.mapper.RoleMapper">

    <select id="findRoleByAdmin" parameterType="int" resultType="int">
        select rid from admin_role where aid = #{aid}
    </select>

    <delete id="deleteRoleAllPermissions" parameterType="int">
        delete from role_permission where rid = #{rid}
    </delete>
    <insert id="addRolePermissions">
        insert into role_permission values (#{rid},#{pid})
    </insert>
</mapper>